Skip to main content
PUT
Update donor portal notification preferences

Path Parameters

client_id
integer
required

Client id in the current organization.

program_id
string
required

Organization program id, or none for the global donor portal context.

Pattern: ^(none|[1-9][0-9]*)$
session_id
string
required

Opaque donor session id issued by portal login.

Body

application/json

Validated request fields for this operation.

preferences
object[]
postal_mail_enabled
boolean

Postal mail enabled. Validation: sometimes, boolean.

Example:

true

sms_opt_out
boolean

Sms opt out. Validation: sometimes, boolean.

Example:

true

restore_all_email
boolean

Restore all email. Validation: sometimes, boolean.

Example:

true

do_not_email
boolean

Do not email. Validation: sometimes, boolean.

Example:

true

Response

Operation result.

message
string
Example:

"Notification preferences saved."

audience
enum<string>
Available options:
donor
Example:

"donor"

catalog
object[]
communication
object